package com.zbf.system.service;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.zbf.system.domain.TBasePallet;
import com.zbf.system.domain.TBaseStorageAreaLocation;

import java.util.List;

/**
 * 库位 Service接口
 *
 * @author tony
 * @date 2024-06-14
 */
public interface ITBaseStorageAreaLocationService {
    /**
     * 查询库位
     *
     * @param id 库位 主键
     * @return 库位
     */
    public TBaseStorageAreaLocation selectTBaseStorageAreaLocationById(Long id);

    /**
     * 查询库位 列表
     *
     * @param tBaseStorageAreaLocation 库位
     * @return 库位 集合
     */
    public List<TBaseStorageAreaLocation> selectTBaseStorageAreaLocationList(TBaseStorageAreaLocation tBaseStorageAreaLocation);

    /**
     * 新增库位
     *
     * @param tBaseStorageAreaLocation 库位
     * @return 结果
     */
    public int insertTBaseStorageAreaLocation(TBaseStorageAreaLocation tBaseStorageAreaLocation);

    /**
     * 修改库位
     *
     * @param tBaseStorageAreaLocation 库位
     * @return 结果
     */
    public int updateTBaseStorageAreaLocation(TBaseStorageAreaLocation tBaseStorageAreaLocation);

    /**
     * 批量删除库位
     *
     * @param ids 需要删除的库位 主键集合
     * @return 结果
     */
    public int deleteTBaseStorageAreaLocationByIds(Long[] ids);

    /**
     * 删除库位 信息
     *
     * @param id 库位 主键
     * @return 结果
     */
    public int deleteTBaseStorageAreaLocationById(Long id);

    /**
     * 批量禁用库位
     *
     * @param ids 需要禁用的库位 主键集合
     * @return 结果
     */
    public int disabledTBaseStorageAreaLocationByIds(Long[] ids);

    /**
     * 批量启用库位
     *
     * @param ids 需要启用的库位 主键集合
     * @return 结果
     */
    public int enableTBaseStorageAreaLocationByIds(Long[] ids);

    /**
     * 改变状态
     *
     * @param tBaseStorageAreaLocation
     * @return 结果
     */
    public int updateStatus(TBaseStorageAreaLocation tBaseStorageAreaLocation);

    /**
     * 查询库位占用
     */
    public List<TBaseStorageAreaLocation> occupy();

    String importData(List<TBaseStorageAreaLocation> importList, boolean updateSupport, String operName);

    int changeStatus(Long[] ids, TBaseStorageAreaLocation tBaseStorageAreaLocation);
}

